Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.selenium.condition
Class Condition

    java.lang.Object
      com.thoughtworks.selenium.condition.Condition

Direct Known Subclasses:
  Not, Presence, Text

    public abstract class Condition

extends java.lang.Object

Simple predicate class, which also knows how to wait for the condition to be true. Used by Selenium tests.

Conditions have two basic properties:

- a message (purely used for displaying purposes)
- an implementation of `#isTrue(com.google.testing.selenium.condition.ConditionRunner.Context)`

Constructor Summary
`Condition()` Creates an instance of Condition with is canonical name as message
`Condition(java.lang.String message)`
`Condition(java.lang.String message, java.lang.Object arg)`
`Condition(java.lang.String message, java.lang.Object[] args)` Creates an instance of Condition with the given `message` and `args`, which are in the `String.format(String, Object...)` modeal.
`Condition(java.lang.String message, java.lang.Object arg0, java.lang.Object arg1)`
`Condition(java.lang.String message, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)`
`Condition(java.lang.String message, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`Condition(java.lang.String message, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`

Method Summary
`java.lang.String` | `getMessage()`
`abstract boolean` | `isTrue(ConditionRunner.Context runner)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Condition

    public Condition()

  Creates an instance of Condition with is canonical name as message

### Condition

    public Condition(java.lang.String message,
                     java.lang.Object[] args)

  Creates an instance of Condition with the given `message` and `args`, which are in the `String.format(String, Object...)` modeal.

### Condition

    public Condition(java.lang.String message)

### Condition

    public Condition(java.lang.String message,
                     java.lang.Object arg)

### Condition

    public Condition(java.lang.String message,
                     java.lang.Object arg0,
                     java.lang.Object arg1)

### Condition

    public Condition(java.lang.String message,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2)

### Condition

    public Condition(java.lang.String message,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3)

### Condition

    public Condition(java.lang.String message,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Object arg4)

Method Detail

### isTrue

    public abstract boolean isTrue(ConditionRunner.Context runner)

### getMessage

    public java.lang.String getMessage()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.